Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I am using Centos 5.5 and had phpMyAdmin version 2.11.11 installed. I couldn't find a way to update it, so what I did was do a manual download, backed up /usr/share/phpmyadmin, then replaced that folder with the new install. Everything seems to work, but I wanted to know if there is any issues with doing it this way? And if so, what would be the best way of doing the upgrade?

Thanks.

share|improve this question

1 Answer 1

There shouldn't be any issue at all doing it this way, but if you had it installed as an RPM package please be aware that if by some reason yum decides to try to update this package it'll overwrite your current install.

To try to check for that you can try the following

  • See if phpmyadmin belongs to any current rpm packages rpm -qf /usr/share/phpmyadmin/anyfilethere

  • If it does belong to an RPM package just remove the package without removing the contents rpm -e --justdb [packagename]

That'll make sure you don't have any kind of accidents in the future

share|improve this answer
    
Thanks! It was part of an RPM package and that line worked perfectly! –  John Clark Jan 28 '11 at 22:51

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.